### io_context::service

Base class for all `io_context` services.

    class service :
      public execution_context::service

##### Member Functions

Name | Description
--- | ---
context | Get the context object that owns the service.
get_io_context | Get the io_context object that owns the service.

##### Protected Member Functions

Name | Description
--- | ---
service [constructor] | Constructor.
~service [destructor] | Destructor.

##### Requirements

Header: `asio/io_context.hpp`

Convenience header: `asio.hpp`